Bug 663340 - system-autodeath has lastday as 2010-12-15 which is too soon
system-autodeath has lastday as 2010-12-15 which is too soon
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-autodeath (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Matthew Miller
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 663672
  Show dependency treegraph
 
Reported: 2010-12-15 08:41 EST by Wendell Baker
Modified: 2014-01-21 18:17 EST (History)
1 user (show)

See Also:
Fixed In Version: system-autodeath-0.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 663672 (view as bug list)
Environment:
Last Closed: 2010-12-17 03:26:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wendell Baker 2010-12-15 08:41:15 EST
Description of problem:

The default date for system-autodeath on Fedora 14 is too soon.

autodeath cripples the machine.  Crippling a machine is a very very serious act and should only be undertaken with significant amounts of notice.  Even so, the date for crippling should be long long after Fedora 14 is EOL.

The period of warning concerning when the machine will be crippled should be far far longer than 7 days.    Maybe 30 or even 90 days is reasonable here.

$ cat /etc/sysconfig/system-autodeath.conf 
DEATHDATE=2010-12-15


Suggestions for notice:
a)_echo 'system-autodeath is present' | Mail root
b) wall 'system-autodeath is present'
c) echo 'system-autodeath is present' >> /etc/motd
d) zenity --notification --text='system-autodeath is present'

Version-Release number of selected component (if applicable):

system-autodeath-0.3-1.fc12.noarch

$ cat /etc/fedora-release 
Fedora release 14 (Laughlin)

How reproducible:

very

Steps to Reproduce:
1. yum install system-autodeath
2.
3.
  
Actual results:

... a crippled machine as of 3AM

Expected results:

... an operable machine until at least F14 EOL+generous_generous_grace ... beyond F16

Additional info:


$ sudo yum reinstall --downloadonly --downloaddir=. --disablerepo='*' --enablerepo='fedora' system-autodeath
Loaded plugins: auto-update-debuginfo, downloadonly, keys, langpacks, presto,
              : refresh-packagekit
Adding en_US to language list
Found 5 installed debuginfo package(s)
Enabling fedora-debuginfo: Fedora 14 - i386 - Debug
Setting up Reinstall Process
Resolving Dependencies
--> Running transaction check
---> Package system-autodeath.noarch 0:0.3-1.fc12 set to be reinstalled
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                 Arch          Version              Repository     Size
================================================================================
Reinstalling:
 system-autodeath        noarch        0.3-1.fc12           fedora         13 k

Transaction Summary
================================================================================
Reinstall     1 Package(s)

Total download size: 13 k
Installed size: 20 k
Is this ok [y/N]: y
Downloading Packages:
Processing delta metadata
Package(s) data still to download: 13 k


exiting because --downloadonly specified 



$ rpm2cpio system-autodeath-0.3-1.fc12.noarch.rpm | cpio --extract --make-directories ./etc/sysconfig/system-autodeath.conf
42 blocks

$ find etc/
etc/
etc/sysconfig
etc/sysconfig/system-autodeath.conf

$ find etc/ -type f | xargs cat
DEATHDATE=2010-12-15
Comment 1 Wendell Baker 2010-12-15 08:57:39 EST
Q: Dude, how is that you got system-autodeath installed and yet you didn't know it was there?
A: The package list for the machines affected was "copied" from some older machine which had a "nice selection of useful packages"

ssh $oldermachine rpm -q -a | strip-off-version-numbers | sudo xargs install -y

This has the effect of "porting" the package selection across generations of machines.  On the downside if something unpleasant creeps in then on gets surprises like this one.

Perhaps system-autodeath was a default install circa F10, F11?
Comment 2 seth vidal 2010-12-15 09:23:03 EST
system-auto-death was NEVER in the default install.

NEVER.

I thought I had updated the EOL dates but apparently I haven't.

Thanks - I'll get it fixed.
Comment 3 Fedora Update System 2010-12-15 09:35:09 EST
system-autodeath-0.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/system-autodeath-0.3-2.fc14
Comment 4 Fedora Update System 2010-12-15 09:35:16 EST
system-autodeath-0.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/system-autodeath-0.3-2.fc13
Comment 5 Matt Domsch 2010-12-16 01:09:54 EST
http://mirrors.fedoraproject.org/releases.txt
lists the EOL dates for various releases, if that would help...

[Fedora 10 (Cambridge)]
stable=True
preupgrade-ok=True
version=10
mirrorlist=http://mirrors.fedoraproject.org/mirrorlist?repo=fedora-10&arch=$basearch
installmirrorlist=http://mirrors.fedoraproject.org/mirrorlist?path=pub/fedora/linux/releases/10/Fedora/$basearch/os
eol-date=20091217




(it's a bug that the current file being handed out has pretty stale data...  I should investigate that...)
Comment 6 Fedora Admin XMLRPC Client 2010-12-16 09:58:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora Update System 2010-12-17 03:26:07 EST
system-autodeath-0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-12-17 03:37:15 EST
system-autodeath-0.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.